Package org.eclipse.emf.cdo.net4j

# Interface CDONet4jSessionConfiguration

All Superinterfaces:
  `CDOSessionConfiguration`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `CDOSessionConfiguration`, `FailoverCDOSessionConfiguration`, `ReconnectingCDOSessionConfiguration`, `RecoveringCDOSessionConfiguration`

public interface CDONet4jSessionConfiguration extends CDOSessionConfiguration
Configures and opens new Net4j-specific CDO `sessions`.

Since:
  4.1
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`CDOSessionConfiguration.SessionOpenedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`CDOBranchManager`
`getBranchManager()`
`org.eclipse.net4j.connector.IConnector`
`getConnector()`
`CDOPackageRegistry`
`getPackageRegistry()`
`String`
`getRepositoryName()`
`CDORevisionManager`
`getRevisionManager()`
`long`
`getSignalTimeout()`
`org.eclipse.net4j.util.io.IStreamWrapper`
`getStreamWrapper()`
`CDONet4jSession`
`openNet4jSession()`
`CDOSession`
`openSession()`
Deprecated.
Use `openNet4jSession()`.
`void`
`setBranchManager(CDOBranchManager branchManager)`
`void`
`setConnector(org.eclipse.net4j.connector.IConnector connector)`
`void`
`setPackageRegistry(CDOPackageRegistry packageRegistry)`
A special package registry can be set before the session is opened and can not be changed thereafter.
`void`
`setRepositoryName(String repositoryName)`
`void`
`setRevisionManager(CDORevisionManager revisionManager)`
`void`
`setSignalTimeout(long timeout)`
`void`
`setStreamWrapper(org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`getAuthenticator, getCredentialsProvider, getExceptionHandler, getFetchRuleManager, getIDGenerator, getLockNotificationMode, getOneTimeLoginToken, getPassiveUpdateMode, getUserID, isActivateOnOpen, isPassiveUpdateEnabled, isSessionOpen, setActivateOnOpen, setCredentialsProvider, setExceptionHandler, setFetchRuleManager, setIDGenerator, setLockNotificationMode, setOneTimeLoginToken, setPassiveUpdateEnabled, setPassiveUpdateMode, setUserID`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getRepositoryName

String getRepositoryName()

### setRepositoryName

void setRepositoryName(String repositoryName)

### getConnector

org.eclipse.net4j.connector.IConnector getConnector()

### setConnector

void setConnector(org.eclipse.net4j.connector.IConnector connector)

### getStreamWrapper

org.eclipse.net4j.util.io.IStreamWrapper getStreamWrapper()

### setStreamWrapper

void setStreamWrapper(org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)

### getSignalTimeout

long getSignalTimeout()

Since:
  4.0

### setSignalTimeout

void setSignalTimeout(long timeout)

Since:
  4.0

### getPackageRegistry

CDOPackageRegistry getPackageRegistry()

See Also:
  - `CDOSession.getPackageRegistry()`

### setPackageRegistry

void setPackageRegistry(CDOPackageRegistry packageRegistry)
A special package registry can be set before the session is opened and can not be changed thereafter.

See Also:
  - `CDOSession.getPackageRegistry()`

### getBranchManager

CDOBranchManager getBranchManager()

Specified by:
  `getBranchManager` in interface `CDOSessionConfiguration`

### setBranchManager

void setBranchManager(CDOBranchManager branchManager)

Specified by:
  `setBranchManager` in interface `CDOSessionConfiguration`

### getRevisionManager

CDORevisionManager getRevisionManager()

Since:
  3.0
See Also:
  - `CDOSession.getRevisionManager()`

### setRevisionManager

void setRevisionManager(CDORevisionManager revisionManager)

Since:
  3.0
See Also:
  - `CDOSession.getRevisionManager()`

### openNet4jSession

CDONet4jSession openNet4jSession()

Since:
  4.1

### openSession

@Deprecated CDOSession openSession()
Deprecated.
Use `openNet4jSession()`.
Description copied from interface: `CDOSessionConfiguration`
Opens the session for this configuration. Once the session is openend this method always returns the same session instance. Therefore it is impossible to change this configuration while the session is open.

Specified by:
  `openSession` in interface `CDOSessionConfiguration`